package com.njyunzhi.ubpa.mapper;

import com.njyunzhi.ubpa.entity.TaOrg;
import com.njyunzhi.ubpa.entity.TsResumeWorkForm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.ubpa.vo.StatisValue;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 通用统计 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-16
 */
@Mapper
public interface TsResumeWorkFormMapper extends BaseMapper<TsResumeWorkForm> {

    List<TaOrg> getAllOrgPersonNum();

    List<StatisValue> getOrgInfo(@Param("orgId") String orgId,
                                 @Param("stType") String stType,
                                 @Param("startDate") String startDate,
                                 @Param("days") Integer days);

    Integer getOrgTotal(@Param("orgId") String orgId,@Param("stType") String stType);
}
