package com.njyunzhi.ubpa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.ubpa.entity.TaResumeWorkForm;
import com.njyunzhi.ubpa.vo.FormExport;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 复工申请 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
public interface ITaResumeWorkFormService extends IBaseService<TaResumeWorkForm> {

    List<FormExport> formExport(String orgId, String userName, LocalDateTime startDate, LocalDateTime endDate, int status);

    Map<String, Integer> statisNum(String orgId, LocalDateTime start, LocalDateTime end);

    IPage<TaResumeWorkForm> getPageBy(IPage<TaResumeWorkForm> pg,
                                      String orgId,
                                      String userName,
                                      LocalDateTime startDate,
                                      LocalDateTime endDate,
                                      int status,
                                      Boolean isAbnormal,
                                      LocalDateTime deleteStartDate,
                                      LocalDateTime deleteEndDate);
}
