package com.njyunzhi.ubpa.service;

import com.njyunzhi.ubpa.entity.TaOrg;
import com.njyunzhi.ubpa.entity.TsResumeWorkForm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njyunzhi.ubpa.vo.StatisValue;

import java.util.List;

/**
 * <p>
 * 通用统计 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-05-16
 */
public interface ITsResumeWorkFormService extends IService<TsResumeWorkForm> {

    int getValueByParams(String orgId, String stType, String name);

    List<TaOrg> getAllOrgPersonNum();

    List<StatisValue> getOrgInfo(String orgId, String stType, String startDate, Integer days);

    int getOrgTotal(String orgId, String stType);
}
