package com.njyunzhi.ubpa.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.ubpa.entity.TaOrg;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Mapper
public interface TaOrgMapper extends BaseMapper<TaOrg> {

    int countExistsData();

    IPage<TaOrg> getPageBy(IPage<TaOrg> pg,
                           @Param("orgName") String orgName,
                           @Param("qType") String qType);
}
