package com.njyunzhi.ubpa.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.ubpa.entity.TaResumeWorkForm;
import com.njyunzhi.ubpa.mapper.TaResumeWorkFormMapper;
import com.njyunzhi.ubpa.service.ITaResumeWorkFormService;
import com.njyunzhi.ubpa.vo.FormExport;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 复工申请 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Service
public class TaResumeWorkFormServiceImpl extends BaseServiceImpl<TaResumeWorkFormMapper, TaResumeWorkForm> implements ITaResumeWorkFormService {

    @Override
    public List<FormExport> formExport(String orgId, String userName, LocalDateTime startDate, LocalDateTime endDate, int status) {
        return baseMapper.formExport(orgId, userName, startDate, endDate, status);
    }

    @Override
    public Map<String, Integer> statisNum(String orgId, LocalDateTime start, LocalDateTime end) {
        return baseMapper.statisNum(orgId, start, end);
    }

    @Override
    public IPage<TaResumeWorkForm> getPageBy(IPage<TaResumeWorkForm> pg,
                                             String orgId,
                                             String userName,
                                             LocalDateTime startDate,
                                             LocalDateTime endDate,
                                             int status,
                                             Boolean isAbnormal,
                                             LocalDateTime deleteStartDate,
                                             LocalDateTime deleteEndDate) {
        return baseMapper.getPageBy(pg, orgId, userName, startDate, endDate, status, isAbnormal, deleteStartDate, deleteEndDate);
    }
}
