package com.njyunzhi.ubpa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njyunzhi.ubpa.common.Constants;
import com.njyunzhi.ubpa.entity.TaUser;
import com.njyunzhi.ubpa.mapper.TaUserMapper;
import com.njyunzhi.ubpa.service.ITaUserService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 企业用户表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-05-01
 */
@Service
public class TaUserServiceImpl extends BaseServiceImpl<TaUserMapper, TaUser> implements ITaUserService {

    @Override
    public TaUser getOrgAdmin(String orgId) {
        QueryWrapper<TaUser> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("org_id", orgId);
        queryWrapper.eq("is_admin", 1);
        queryWrapper.gt("status", Constants.STATUS_DELETE);

        return getOne(queryWrapper);
    }
}
